Skip to main content
`Ctrl`+`K`

# SNESFASSetLog

Sets or unsets time logging for various `SNESFAS` stages on all levels

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESFASSetLog(SNES snes, PetscBool flg)

Logically Collective

## Input Parameters

- snes - the `SNESFAS` context

- flg - whether to log or not

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESFAS`, `SNESFASSetMonitor()`

## Level

advanced

## Location

src/snes/impls/fas/fasfunc.c

Index of all SNESFAS routines
Table of Contents for all manual pages
Index of all manual pages